import request from '@/utils/request'

import { business } from '@/api/index'




/**
 *盟市填报设置列表
 * @param {*上传数据obj} data
 * @param {*分页参数} page
 */
export function taskRAuditList(data, page) {
    return request({
        url: `${business}cityTaskDistribution/findByPage/${page.page}/${page.size}`,
        method: 'post',
        data: data
    })
}
//发布
export function publish(data) {
    return request({
        url: `${business}cityTaskDistribution/publish/${data}`,
        method: 'post',
        data: data
    })

}
//批量发布
export function publishAll(data) {
    return request({
        url: `${business}cityTaskDistribution/publishALL`,
        method: 'post',
        data: data
    })

}
//查看详情
export function see(data){
    return request({
        url: `${business}cityTaskDistribution/findById/${data}`,
        method: 'get'
    }) 
}

//编辑提交
export function update(data){
    return request({
        url: `${business}/cityTaskDistribution/update`,
        method: 'post',
        data:data
    }) 
}



